diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPComplexOptions.ml ./src/networks/fileTP/fileTPComplexOptions.ml
--- ./src/networks/fileTP/fileTPComplexOptions.ml	2005-11-05 17:23:40.000000000 +0100
+++ ./src/networks/fileTP/fileTPComplexOptions.ml	2005-12-13 13:49:47.000000000 +0100
@@ -38,9 +38,6 @@
       | Module assocs ->
 
           let get_value name conv = conv (List.assoc name assocs) in
-          let get_value_nil name conv =
-            try conv (List.assoc name assocs) with _ -> []
-          in
           let client_hostname = get_value "client_hostname" value_to_string in
           let client_port = get_value "client_port" value_to_int in
           let client_proto = try
@@ -86,9 +83,6 @@
 
 let value_to_file file_size file_state assocs =
   let get_value name conv = conv (List.assoc name assocs) in
-  let get_value_nil name conv =
-    try conv (List.assoc name assocs) with _ -> []
-  in
 
   let file_name = get_value "file_filename" value_to_string in
   let file_id =
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPFTP.ml ./src/networks/fileTP/fileTPFTP.ml
--- ./src/networks/fileTP/fileTPFTP.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/fileTP/fileTPFTP.ml	2005-12-13 13:49:47.000000000 +0100
@@ -80,8 +80,6 @@
         | Some up ->
 
             let swarmer = Int64Swarmer.uploader_swarmer up in
-            let old_downloaded =
-              Int64Swarmer.downloaded swarmer in
 
             Int64Swarmer.received up
               !counter_pos b.buf b.pos to_read_int;
@@ -129,7 +127,6 @@
         ()
     )
   in
-  let nread = ref false in
   TcpBufferedSocket.set_reader sock (range_reader c d (ref x) y);
   set_rtimeout sock 15.;
   TcpBufferedSocket.set_closer sock (fun _ _ ->
@@ -310,7 +307,6 @@
             ()
         )
       in
-      let nread = ref false in
       TcpBufferedSocket.write_string sock request;
       TcpBufferedSocket.set_reader sock (fun sock nread ->
           let b = TcpBufferedSocket.buf sock in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPHTTP.ml ./src/networks/fileTP/fileTPHTTP.ml
--- ./src/networks/fileTP/fileTPHTTP.ml	2005-12-06 21:26:40.000000000 +0100
+++ ./src/networks/fileTP/fileTPHTTP.ml	2005-12-13 13:49:47.000000000 +0100
@@ -257,9 +257,8 @@
         if !verbose then lprintf_nl () "Specified length: %Ld" len;
         if len <> end_pos -- start_pos then
           begin
-            failwith "\n\nERROR: bad computed range: %Ld-%Ld/%Ld \n%s\n"
-              start_pos end_pos len
-              (String.escaped header);
+            failwith (Printf.sprintf "ERROR: bad computed range: %Ld-%Ld/%Ld \n%s\n"
+              start_pos end_pos len (String.escaped header))
           end
       with _ ->
           lprintf_nl () "[WARNING]: no Content-Length field\n%s\n"
@@ -297,8 +296,6 @@
         let swarmer = match file.file_swarmer with
             None -> assert false | Some sw -> sw
         in
-        let old_downloaded =
-          Int64Swarmer.downloaded swarmer in
 (*        List.iter (fun (_,_,r) -> Int64Swarmer.free_range r)
         d.download_ranges; *)
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPProtocol.ml ./src/networks/fileTP/fileTPProtocol.ml
--- ./src/networks/fileTP/fileTPProtocol.ml	2005-07-27 01:16:48.000000000 +0200
+++ ./src/networks/fileTP/fileTPProtocol.ml	2005-12-13 13:49:47.000000000 +0100
@@ -163,8 +163,6 @@
     UdpSocket.READ_DONE ->
       UdpSocket.read_packets sock (fun p ->
           try
-            let pbuf = p.UdpSocket.udp_content in
-            let len = String.length pbuf in
             f p
           with e ->
               lprintf "Error %s in udp_handler\n"
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/fileTP/fileTPSSH.ml ./src/networks/fileTP/fileTPSSH.ml
--- ./src/networks/fileTP/fileTPSSH.ml	2005-07-27 01:16:48.000000000 +0200
+++ ./src/networks/fileTP/fileTPSSH.ml	2005-12-13 13:49:47.000000000 +0100
@@ -93,8 +93,6 @@
         | Some up ->
 
             let swarmer = Int64Swarmer.uploader_swarmer up in
-            let old_downloaded =
-              Int64Swarmer.downloaded swarmer in
             Int64Swarmer.received up
               pos s 0 (String.length s);
 
@@ -233,7 +231,6 @@
 | SegmentX of int * int64 * int * int * string
 
 let ssh_connect token c f =
-  let ip = c.client_hostname in
   let shell, args = shell_command c.client_hostname in
   let sock, pid = exec_command token  shell args (fun _ _ -> ());
   in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaClients.ml ./src/networks/gnutella/gnutellaClients.ml
--- ./src/networks/gnutella/gnutellaClients.ml	2005-12-06 21:26:40.000000000 +0100
+++ ./src/networks/gnutella/gnutellaClients.ml	2005-12-13 13:49:47.000000000 +0100
@@ -264,7 +264,6 @@
   let up = match d.download_uploader with
       None -> assert false
     | Some up -> up in
-  let swarmer = Int64Swarmer.uploader_swarmer up in
   
   let file = d.download_file in
   
@@ -273,12 +272,6 @@
       raise Exit;
     end;
 
-(*
-  lprintf "CHUNK: %s\n" 
-          (String.escaped (String.sub b.buf b.pos to_read_int)); *)
-  let old_downloaded = 
-    Int64Swarmer.downloaded swarmer in
-  
   begin
     try
       Int64Swarmer.received up
@@ -288,16 +281,7 @@
           (Printexc2.to_string e);
 (* TODO: we should pause the download !!! *)
   end;
-  c.client_reconnect <- true;
-  
-  let new_downloaded = 
-    Int64Swarmer.downloaded swarmer in
-  
-(*
-lprintf "READ %Ld\n" (new_downloaded -- old_downloaded);
-lprintf "READ: buf_used %d\n" to_read_int;
-  *)
-  ()
+  c.client_reconnect <- true
 
 (*************************************************************************)
 (*                                                                       *)
@@ -325,8 +309,6 @@
 
 (* The reply should be  "HTTP/1.1 200 OK" *)
     let space_pos = String.index first_line ' ' in
-    let slash_pos = String.index first_line '/' in
-    let proto = String.sub first_line (slash_pos+1) (space_pos - slash_pos) in
     let code = String.sub first_line (space_pos+1) 3 in
     let code = int_of_string code in
     
@@ -765,7 +747,6 @@
         lprintf "PARSING GIV HEADER\n"; 
       end;
     let colon_pos = String.index first_line ':' in
-    let slash_pos = String.index first_line '/' in
     let uid = Md4.of_string (String.sub first_line (colon_pos+1) 32) in
     let index = int_of_string (String.sub first_line 4 (colon_pos-4)) in
     if !verbose_msg_clients then begin
@@ -1110,7 +1091,7 @@
 (*************************************************************************)
       
 let push_connection guid index ip port =
-  let token =
+  let _ =
     add_pending_connection connection_manager (fun token ->
         let sh =Hashtbl.find shareds_by_id index in
         let sock = connect token "gnutella download" 
@@ -1143,7 +1124,7 @@
         write_string sock 
           (Printf.sprintf "GIV %d:%s/%s\n\n" 
             index (Md4.to_string guid) sh.shared_codedname)
-    )    
+    )
 
   in
   ()
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaComplexOptions.ml ./src/networks/gnutella/gnutellaComplexOptions.ml
--- ./src/networks/gnutella/gnutellaComplexOptions.ml	2005-11-05 17:23:41.000000000 +0100
+++ ./src/networks/gnutella/gnutellaComplexOptions.ml	2005-12-13 13:49:47.000000000 +0100
@@ -52,9 +52,6 @@
       | Module assocs ->
           
           let get_value name conv = conv (List.assoc name assocs) in
-          let get_value_nil name conv = 
-            try conv (List.assoc name assocs) with _ -> []
-          in
           let client_ip = get_value "client_ip" (from_value Ip.option)
           in
           let client_port = get_value "client_port" value_to_int in
@@ -106,10 +103,6 @@
 
 let value_to_file file_size file_state assocs =
   let get_value name conv = conv (List.assoc name assocs) in
-  let get_value_nil name conv = 
-    try conv (List.assoc name assocs) with _ -> []
-  in
-  
   let file_name = get_value "file_name" value_to_string in
   let file_temp = 
     try
@@ -268,9 +261,6 @@
       in
       ultrapeers =:= List2.tail_map fst ultrapeers_list;
       
-      let peers_list = List.sort (fun (_, a1) (_, a2) -> 
-            
-            compare a2 a1) !peers_list in
       let peers_list, _ = List2.cut !!max_known_peers ultrapeers_list
       in
       peers =:= List2.tail_map fst peers_list;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaGlobals.ml ./src/networks/gnutella/gnutellaGlobals.ml
--- ./src/networks/gnutella/gnutellaGlobals.ml	2005-09-03 01:48:54.000000000 +0200
+++ ./src/networks/gnutella/gnutellaGlobals.ml	2005-12-13 13:49:47.000000000 +0100
@@ -260,8 +260,7 @@
             Hashtbl.add results_by_uid (Uid.to_uid uid) rs;
             rs
       in
-      let r = IndexedResults.get_result rs in
-(*
+(*      let r = IndexedResults.get_result rs in
       let rec iter_uid uid =
         if not (List.mem uid r.result_uids) then begin
             r.result_uids <- uid :: r.result_uids;
@@ -291,8 +290,6 @@
 let new_file file_temporary file_name file_size file_uids = 
   let file_temp = Filename.concat !!temp_directory file_temporary in
   let t = Unix32.create_rw file_temp in
-  let keywords = CommonUploads.words_of_filename file_name in
-  let words = String2.unsplit keywords ' ' in
   let rec file = {
       file_file = file_impl;
       file_temp = file_temporary;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaInteractive.ml ./src/networks/gnutella/gnutellaInteractive.ml
--- ./src/networks/gnutella/gnutellaInteractive.ml	2005-11-12 23:53:52.000000000 +0100
+++ ./src/networks/gnutella/gnutellaInteractive.ml	2005-12-13 13:49:47.000000000 +0100
@@ -378,7 +378,7 @@
       | "gnut://" :: "server" :: ip :: port :: _ ->  
           let ip = Ip.addr_of_string ip in
           let port = int_of_string port in
-          let s = new_server ip port in
+          let _ = new_server ip port in
           true
       | "gnut://" :: "friend" :: uid :: ip :: port :: _ ->  
           let ip = Ip.of_string ip in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaMain.ml ./src/networks/gnutella/gnutellaMain.ml
--- ./src/networks/gnutella/gnutellaMain.ml	2005-08-09 12:52:02.000000000 +0200
+++ ./src/networks/gnutella/gnutellaMain.ml	2005-12-13 13:49:47.000000000 +0100
@@ -72,8 +72,6 @@
       UdpSocket.read_packets sock (fun p -> 
           try
 (*            lprintf "Gnutella: udp one packet...\n"; *)
-            let pbuf = p.UdpSocket.udp_content in
-            let len = String.length pbuf in
             let (ip,port) = match p.UdpSocket.udp_addr with
               | Unix.ADDR_INET(ip, port) -> Ip.of_inet_addr ip, port
               | _ -> raise Not_found
@@ -81,7 +79,6 @@
 (*            lprintf "Gnutella: calling udp_client_handler %s:%d\n"
               (Ip.to_string ip) port; *)
             let buf = p.UdpSocket.udp_content in
-            let len = String.length buf in
             GnutellaHandler.udp_client_handler ip port buf 
           with e ->
               lprintf "Error %s in udp_handler\n"
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaProto.ml ./src/networks/gnutella/gnutellaProto.ml
--- ./src/networks/gnutella/gnutellaProto.ml	2005-10-06 12:21:10.000000000 +0200
+++ ./src/networks/gnutella/gnutellaProto.ml	2005-12-13 13:49:47.000000000 +0100
@@ -375,7 +375,6 @@
       let files, pos  = iter_files nfiles s 11 [] in
       
       let vendor = String.sub s pos 4 in
-      let vendor_len = get_uint8 s (pos+4) in
       let byte5 = get_uint8 s (pos+5) in
       let byte6 = get_uint8 s (pos+6) in
       
@@ -618,7 +617,6 @@
   | Some sock ->
       try
         let s = server_msg_to_string msg in
-        let len = String.length s in
         if !verbose_msg_servers then begin
             lprintf "Sending on UDP to %s:%d:\n%s\n"
               (Ip.to_string ip) port
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella/gnutellaRedirector.ml ./src/networks/gnutella/gnutellaRedirector.ml
--- ./src/networks/gnutella/gnutellaRedirector.ml	2005-09-01 02:04:12.000000000 +0200
+++ ./src/networks/gnutella/gnutellaRedirector.ml	2005-12-13 14:11:07.000000000 +0100
@@ -82,8 +82,7 @@
         let ip, port = String2.cut_at line ':' in
         if !verbose then
           lprintf "gnutella1: adding ultrapeer from hostfile\n";
-        let h = H.new_host (Ip.addr_of_string ip) (int_of_string port) Ultrapeer  in
-        ()
+        ignore (H.new_host (Ip.addr_of_string ip) (int_of_string port) Ultrapeer)
       with _ -> ()
   ) lines
 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella2/g2Handler.ml ./src/networks/gnutella2/g2Handler.ml
--- ./src/networks/gnutella2/g2Handler.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/networks/gnutella2/g2Handler.ml	2005-12-13 14:12:04.000000000 +0100
@@ -149,8 +149,7 @@
   | QKA ->
       H.host_queue_add active_udp_queue h (last_time ());
       if (Queues.Queue.length active_udp_queue) > 100 then
-        let oh = H.host_queue_take active_udp_queue in
-        ();
+        ignore (H.host_queue_take active_udp_queue);
       List.iter (fun c ->
           match c.g2_payload with
             QKA_QK key -> s.server_query_key <- UdpQueryKey key
@@ -202,8 +201,7 @@
           
           | Q2_MD xml ->
               begin try
-                  let xml = Xml.parse_string xml in
-                  ()
+                  ignore (Xml.parse_string xml)
                 with e -> 
                     lprintf "Error %s parsing Xml \n%s\n"
                       (Printexc2.to_string e)
@@ -290,7 +288,7 @@
           match c.g2_payload with
             KHL_NH (ip,port) 
           | KHL_CH ((ip,port),_) ->
-              let h = H.new_host (Ip.addr_of_ip ip) port Ultrapeer in ()
+              ignore (H.new_host (Ip.addr_of_ip ip) port Ultrapeer)
           | _ -> ()
       ) p.g2_children;
       let children = ref [] in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella2/g2Pandora.ml ./src/networks/gnutella2/g2Pandora.ml
--- ./src/networks/gnutella2/g2Pandora.ml	2004-11-01 12:23:02.000000000 +0100
+++ ./src/networks/gnutella2/g2Pandora.ml	2005-12-13 13:49:47.000000000 +0100
@@ -149,7 +149,7 @@
     if len > 0 then
       if deflate then
         let z = Zlib.inflate_init true in
-        let s =  
+        let _ =  
           let s2 = String.make 100000 '\000' in
           let f = Zlib.Z_SYNC_FLUSH in
           let (_,used_in, used_out) = Zlib.inflate z s1 0 len s2 0 100000 f in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella2/g2Proto.ml ./src/networks/gnutella2/g2Proto.ml
--- ./src/networks/gnutella2/g2Proto.ml	2005-11-19 18:19:45.000000000 +0100
+++ ./src/networks/gnutella2/g2Proto.ml	2005-12-13 13:49:47.000000000 +0100
@@ -933,7 +933,6 @@
           (char_of_int (counter land 0xff))
           (char_of_int ((counter lsr 8) land 0xff))
         in
-        let len = String.length s in
 (*        lprintf "ack sent\n"; *)
         UdpSocket.write sock false s ip port
       with e ->
@@ -1045,7 +1044,6 @@
   let nSequence = LittleEndian.get_int16 buf 4 in
   let nCount = get_uint8 buf 7 in
   let nFlags = get_uint8 buf 3 in
-  let ack_me = nFlags land 2 <> 0 in
 (* Contribute:
   - deflating
   - multi-parts message
@@ -1140,7 +1138,7 @@
             len_len name_len pkt_len
           ;
         );
-      let msg_len = 
+      let _ = 
         if len < pos + msg_len then 
           (lprintf "RECOVER: %d < %d + %d (1 + %d + %d + %d)\n" len pos msg_len
               len_len name_len pkt_len
@@ -1426,7 +1424,6 @@
       let pos = Int64.to_int pos in
       if !verbose then
         lprintf "ADDING WORD %d\n" pos; 
-      let index = pos / 8 in
       let bit = (1 lsl (pos land 7)) in
       array.(pos) <- array.(pos) lor bit;
   ) words;
@@ -1443,8 +1440,6 @@
   
   if update_table then cached_qrt_table := "";
   let table_size = 20 in
-  let infinity = 7 in
-  let table_length = 1 lsl table_size in
   server_send_qrt_reset s;
   
   if !cached_qrt_table = "" then 
@@ -1475,10 +1470,8 @@
   if String.sub buf 0 3 <> "GND" then
     lprintf "Not a GNUTELLA2 packet (no GND)\n"
   else
-  let nSequence = LittleEndian.get_int16 buf 4 in
   let nCount = get_uint8 buf 7 in
   let nFlags = get_uint8 buf 3 in
-  let ack_me = nFlags land 2 <> 0 in
 (* Contribute:
   - deflating
   - multi-parts message
@@ -1525,7 +1518,7 @@
             len_len name_len pkt_len
           ;
         );
-      let msg_len = 
+      let _ = 
         if len < pos + msg_len then 
           (lprintf "RECOVER: %d < %d + %d (1 + %d + %d + %d)\n" len pos msg_len
             len_len name_len pkt_len
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/networks/gnutella2/g2Redirector.ml ./src/networks/gnutella2/g2Redirector.ml
--- ./src/networks/gnutella2/g2Redirector.ml	2005-09-01 02:04:12.000000000 +0200
+++ ./src/networks/gnutella2/g2Redirector.ml	2005-12-13 14:13:22.000000000 +0100
@@ -48,9 +48,8 @@
           begin
             try
               let ip, port = String2.cut_at ip_port ':' in
-              let h = H.new_host 
-                  (Ip.addr_of_string ip) (int_of_string port) Ultrapeer in
-              ()
+                ignore (H.new_host
+		  (Ip.addr_of_string ip) (int_of_string port) Ultrapeer)
             with _ -> ()
           end
       | "u" :: url :: _ ->
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/cdk/file.ml ./src/utils/cdk/file.ml
--- ./src/utils/cdk/file.ml	2005-08-21 17:41:14.000000000 +0200
+++ ./src/utils/cdk/file.ml	2005-12-13 13:49:47.000000000 +0100
@@ -22,7 +22,6 @@
   let chan = open_in_bin name in
   let buf_size = 1024 in
   let buf = String.create buf_size in
-  let cont = ref true in
   let rec iter buf nb_read =
     let buf_size = String.length buf in
     let to_read = min (buf_size - nb_read) 8192 in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/cdk/printf2.ml ./src/utils/cdk/printf2.ml
--- ./src/utils/cdk/printf2.ml	2005-11-07 21:11:43.000000000 +0100
+++ ./src/utils/cdk/printf2.ml	2005-12-13 13:49:47.000000000 +0100
@@ -207,9 +207,9 @@
   (fmt : ('a,unit, unit) format )
 
 let lprint_newline () = lprintf "\n"
-let lprint_char c = lprintf "%c" c
-let lprint_int c = lprintf "%d" c
-let lprint_string c = lprintf "%s" c
+let lprint_char = lprintf "%c"
+let lprint_int = lprintf "%d"
+let lprint_string = lprintf "%s"
 
 let set_lprintf_handler f =
   lprintf_handler := f
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/cdk/unix2.ml ./src/utils/cdk/unix2.ml
--- ./src/utils/cdk/unix2.ml	2005-12-02 13:02:36.000000000 +0100
+++ ./src/utils/cdk/unix2.ml	2005-12-13 14:07:23.000000000 +0100
@@ -65,7 +65,7 @@
   else 
   if is_link dir then
     begin try
-      let dir = opendir dir in () 
+      ignore (opendir dir)
       with
         Unix.Unix_error (EACCES, _, _) -> lprintf_nl "access denied for directory %s" dir; exit 73
       | Unix.Unix_error (ENOENT, _, _) -> lprintf_nl "directory %s not found, orphaned link?" dir; exit 73
@@ -115,7 +115,7 @@
 let rename oldname newname =
   if oldname <> newname then
   try Unix.rename oldname newname with
-    Unix_error(EXDEV,_,_) as e ->
+    Unix_error(EXDEV,_,_) ->
 (* renaming is not enough, we must COPY *)
       lprintf_nl "COPY %s TO %s" oldname newname; 
       let copied = ref false in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/cdk/zip.ml ./src/utils/cdk/zip.ml
--- ./src/utils/cdk/zip.ml	2005-10-16 22:42:54.000000000 +0200
+++ ./src/utils/cdk/zip.ml	2005-12-13 13:49:47.000000000 +0100
@@ -143,9 +143,7 @@
   let magic = read4 ic in
   let disk_no = read2 ic in
   let cd_disk_no = read2 ic in
-  let disk_entries = read2 ic in
   let cd_entries = read2 ic in
-  let cd_size = read4_int ic in
   let cd_offset = read4_int ic in
   let comment_len = read2 ic in
   let comment = readstring ic comment_len in
@@ -162,8 +160,6 @@
     let e = ref [] in
     for num_entry = 1 to cd_entries do
       let magic = read4 ic in
-      let version_made_by = read2 ic in
-      let version_needed = read2 ic in
       let flags = read2 ic in
       let methd = read2 ic in
       let lastmod_time = read2 ic in
@@ -174,9 +170,6 @@
       let name_len = read2 ic in
       let extra_len = read2 ic in
       let comment_len = read2 ic in
-      let disk_number = read2 ic in
-      let internal_attr = read2 ic in
-      let external_attr = read4 ic in
       let header_offset = read4_int ic in
       let name = readstring ic name_len in
       let extra = readstring ic extra_len in
@@ -238,14 +231,6 @@
     let ic = ifile.if_channel in
     seek_in ic e.file_offset;
     let magic = read4 ic in
-    let version_needed = read2 ic in
-    let flags = read2 ic in
-    let methd = read2 ic in
-    let lastmod_time = read2 ic in
-    let lastmod_date = read2 ic in
-    let crc = read4 ic in
-    let compr_size = read4_int ic in
-    let uncompr_size = read4_int ic in
     let filename_len = read2 ic in
     let extra_len = read2 ic in
     if magic <> 0x04034b50l then
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/avifile.ml ./src/utils/lib/avifile.ml
--- ./src/utils/lib/avifile.ml	2005-10-16 22:42:55.000000000 +0200
+++ ./src/utils/lib/avifile.ml	2005-12-13 13:49:47.000000000 +0100
@@ -154,33 +154,7 @@
               
               ignore (input_string4 ic);
 
-              
-              let dwMicroSecPerFrame = input_int32 ic in
-              let dwMaxBytesPerSec = input_int32 ic in
-              let dwPaddingGranularity = input_int32 ic in
-              let dwFlags = input_int32 ic in
-              let dwTotalFrames = input_int32 ic in
-              let dwInitialFrames = input_int32 ic in
-              let dwStreams = input_int32 ic in
-              let dwSuggestedBufferSize = input_int32 ic in              
-              let dwWidth = input_int32 ic in
-              let dwHeight = input_int32 ic in
-              
-              (*
-              print_int32 "dwMicroSecPerFrame" dwMicroSecPerFrame ;
-              print_int32 "dwMaxBytesPerSec" dwMaxBytesPerSec ;
-              print_int32 "dwPaddingGranularity" dwPaddingGranularity ;
-              print_int32 "dwFlags" dwFlags ;
-              print_int32 "dwTotalFrames" dwTotalFrames ;
-              print_int32 "dwInitialFrames" dwInitialFrames ;
-              print_int32 "dwStreams" dwStreams ;
-              print_int32 "dwSuggestedBufferSize" dwSuggestedBufferSize ;
-              print_int32 "dwWidth" dwWidth;
-              print_int32 "dwHeight" dwHeight;
-*)
               seek_in ic ((Int64.to_int pos) + main_header_len + 20);
-              let s = input_string4 ic in
-(*              print_string4 "LIST:" s; *)
 
               let pos_in = pos ++ (Int64.of_int (main_header_len + 24)) in
               let last_pos = pos_in ++ size2 in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/indexer1.ml ./src/utils/lib/indexer1.ml
--- ./src/utils/lib/indexer1.ml	2005-07-07 02:25:46.000000000 +0200
+++ ./src/utils/lib/indexer1.ml	2005-12-13 13:49:47.000000000 +0100
@@ -148,7 +148,6 @@
         | _ -> (doc, field) :: w.word_docs)
     
     let add idx s doc field =
-      let next_suffix = !nsuffixes in
       let suffix, filtered = add_suffix idx s in
 (*  if filtered then begin
       lprintf "SUFFIX %s IS FILTERED..." s; 
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/intmap.ml ./src/utils/lib/intmap.ml
--- ./src/utils/lib/intmap.ml	2004-04-16 19:14:56.000000000 +0200
+++ ./src/utils/lib/intmap.ml	2005-12-13 13:49:47.000000000 +0100
@@ -60,7 +60,7 @@
 let rec add x data = function
     Empty ->
       Node(Empty, x, data, Empty, 1)
-  | Node(l, v, d, r, h) as t ->
+  | Node(l, v, d, r, h) ->
       if x = v then
         Node(l, x, data, r, h)
       else if x < v then
@@ -91,7 +91,7 @@
 let rec remove x = function
     Empty ->
       Empty
-  | Node(l, v, d, r, h) as t ->
+  | Node(l, v, d, r, h) ->
       if x = v then
         merge l r
       else if x < v then
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/misc.ml ./src/utils/lib/misc.ml
--- ./src/utils/lib/misc.ml	2005-07-23 16:19:48.000000000 +0200
+++ ./src/utils/lib/misc.ml	2005-12-13 13:49:47.000000000 +0100
@@ -118,4 +118,4 @@
     "zip" -> zip_extract filename; ""
   | "bz2" -> Misc2.bz2_extract filename
   | "gz" -> gz_extract filename
-  | _ -> failwith "wrong archive type %s" archive_type
+  | _ -> failwith (Printf.sprintf "wrong archive type %s" archive_type)
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/numset.ml ./src/utils/lib/numset.ml
--- ./src/utils/lib/numset.ml	2003-04-23 00:33:40.000000000 +0200
+++ ./src/utils/lib/numset.ml	2005-12-13 13:49:47.000000000 +0100
@@ -44,7 +44,6 @@
       t.nfree <- new_len - len;
     end;
   let pos = t.nfree - 1 in
-  let free_pos = t.free.(pos) in
   t.array.(pos) <- Some v;
   t.nfree <- pos;
   pos
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/stringMap.ml ./src/utils/lib/stringMap.ml
--- ./src/utils/lib/stringMap.ml	2003-04-23 00:33:40.000000000 +0200
+++ ./src/utils/lib/stringMap.ml	2005-12-13 13:49:47.000000000 +0100
@@ -60,7 +60,7 @@
 let rec add x data = function
     Empty ->
       Node(Empty, x, data, Empty, 1)
-  | Node(l, v, d, r, h) as t ->
+  | Node(l, v, d, r, h) ->
       if x = v then
         Node(l, x, data, r, h)
       else if x < v then
@@ -91,7 +91,7 @@
 let rec remove x = function
     Empty ->
       Empty
-  | Node(l, v, d, r, h) as t ->
+  | Node(l, v, d, r, h) ->
       if x = v then
         merge l r
       else if x < v then
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/lib/unix32.ml ./src/utils/lib/unix32.ml
--- ./src/utils/lib/unix32.ml	2005-10-23 18:05:41.000000000 +0200
+++ ./src/utils/lib/unix32.ml	2005-12-13 13:49:47.000000000 +0100
@@ -183,13 +183,11 @@
         although we are reading here, but I had problems with
         it like exceptions in really_write
       *)
-      let final_pos = Unix2.c_seek64 fd file_pos Unix.SEEK_SET in
       if verbose then lprintf "really_read %d\n" len;
       Unix2.really_read fd string string_pos len
 
     let write file file_pos string string_pos len =
       let fd = local_force_fd file true in
-      let final_pos = Unix2.c_seek64 fd file_pos Unix.SEEK_SET in
       if verbose then lprintf "really_write %d\n" len;
       begin
         try
@@ -747,7 +745,6 @@
       
       let chunk_begin = zero in
       let chunk_len = t.size in
-      let index = 0 in
       let nchunks = Array.length t.chunks in
       
       let file_out = FDCache.create f in
@@ -1431,6 +1428,7 @@
     let create_rw filename = 
       create (create_rw filename)
 
+(*
 (* the new part (shared_begin, shared_len) is shared between t1 and t2.
 It will be kept inside t1, and used by t2. The problem is what happens
 when these two files have already been partially downloaded ? This 
@@ -1438,7 +1436,7 @@
     let shared_part t1 t2 shared_begin shared_len = 
       let shared_end = shared_begin ++ shared_len in
       ()
-      
+*)      
   end
 let destroyed t = t.file_kind = Destroyed
   
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/mp3tagui/mp3_info.ml ./src/utils/mp3tagui/mp3_info.ml
--- ./src/utils/mp3tagui/mp3_info.ml	2003-04-23 00:33:40.000000000 +0200
+++ ./src/utils/mp3tagui/mp3_info.ml	2005-12-13 13:49:47.000000000 +0100
@@ -112,7 +112,6 @@
   let sample_rate =
     mpg123_freqs.(sampling_frequency) in
   let bitrate_index = (header lsr 12) land 0xF in
-  let padding = (header lsr 9) land 1 in
   let mode =
     match (header lsr 6) land 3 with
       0 -> Stereo | 1 -> Joint_stereo | 2 -> Dual_channel_stereo | _ -> Mono in
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/basicSocket.ml ./src/utils/net/basicSocket.ml
--- ./src/utils/net/basicSocket.ml	2005-12-06 21:26:40.000000000 +0100
+++ ./src/utils/net/basicSocket.ml	2005-12-13 13:49:47.000000000 +0100
@@ -285,7 +285,7 @@
 
 let create_blocking name fd handler =
 
-  let (fdnum : int) = get_fd_num fd in
+  let (_ : int) = get_fd_num fd in
 (*
   if fdnum >= Unix32.fds_size then begin
       Unix.close fd;
@@ -515,7 +515,7 @@
   while true do
     try
       if !loop_delay > 0. then (try select [] !loop_delay;  with _ -> ());
-      let time = update_time () in
+      let _ = update_time () in
       exec_tasks !fd_tasks;
       exec_hooks !after_select_hooks;
       exec_timers !timers;
diff -a -x CVS -x Root -x Repository -x Tag -x Entries -x Entries.Log -x .svn -x '*.rej' -x '*.orig' -x .cvsignore -N -r -u ./src/utils/net/cobs.ml ./src/utils/net/cobs.ml
--- ./src/utils/net/cobs.ml	2004-01-30 07:11:07.000000000 +0100
+++ ./src/utils/net/cobs.ml	2005-12-13 13:49:47.000000000 +0100
@@ -146,15 +146,10 @@
   if pos = len then list
   else
   let flags = int_of_char s.[pos] in
-  let last = (flags land (1 lsl 7)) <> 0 in
   let cobs_encoded = (flags land (1 lsl 6)) <> 0 in
-(*  lprintf "cobs_encoded %b\n" cobs_encoded; *)
-  let compressed = (flags land (1 lsl 5)) <> 0 in
-(*  lprintf "compressed %b\n" compressed; *)
   let id_len = flags land 7 in
   let id = String.sub s (pos+1) id_len in
   let data_len, pos = get_len s (pos+1+id_len) 0 in
-(*  lprintf "data_len %d,pos %d, len %d\n" data_len pos len; *)
   let data = String.sub s pos data_len in
   let data = 
     if cobs_encoded then decode data else data in
